Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.ajax.container
Class MuleAjaxServlet.MuleMessageImpl

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<String,Object>
              org.mortbay.cometd.MessageImpl
                  org.mule.transport.ajax.container.MuleAjaxServlet.MuleMessageImpl

All Implemented Interfaces:
  Serializable, Cloneable, Map<String,Object>, org.cometd.Message, org.mortbay.util.ajax.JSON.Generator

Enclosing class:
  MuleAjaxServlet

    public class MuleAjaxServlet.MuleMessageImpl

extends org.mortbay.cometd.MessageImpl

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`MuleAjaxServlet.MuleMessageImpl(org.mortbay.cometd.MessagePool bayeux)`

Method Summary
`String` | `getJSON()`

Methods inherited from class org.mortbay.cometd.MessageImpl
`addJSON, clear, clone, decRef, entrySet, getAssociated, getBuffer, getChannel, getClientId, getData, getExt, getId, getRefs, incRef, isLazy, isSuccessful, keySet, put, putAll, remove, setAssociated, setBuffer, setLazy, toString`

Methods inherited from class java.util.HashMap
`containsKey, containsValue, get, isEmpty, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`containsKey, containsValue, equals, get, hashCode, isEmpty, size, values`

Constructor Detail

### MuleAjaxServlet.MuleMessageImpl

    public MuleAjaxServlet.MuleMessageImpl(org.mortbay.cometd.MessagePool bayeux)

Method Detail

### getJSON

    public String getJSON()

  Overrides:
    `getJSON` in class `org.mortbay.cometd.MessageImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.